Debian Bug report logs - #335699
ITA: libxslt-ruby -- Ruby interface to libxslt

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Andres Salomon <dilinger@debian.org>

Date: Tue, 25 Oct 2005 14:03:18 UTC

Owned by: Filipe Lautert <filipelautert@celepar.pr.gov.br>

Severity: normal

Fixed in version libxslt-ruby/0.9.2-1

Done: Filipe Lautert <filipelautert@celepar.pr.gov.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335699; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@debian.org>
To: submit@bugs.debian.org
Subject: O: libxslt-ruby -- Ruby interface to libxslt
Date: Tue, 25 Oct 2005 09:51:08 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

These (libxml-ruby and libxslt-ruby) are fairly useful; however,
afaict they are no longer maintained upstream.  
There is a fairly sordid history here; basically, the
original author (Sean Chittenden) stopped maintaining them around 2002
or 2003.  He licensed them under a BSD license (iirc).  In 2003,
Gregoire Lejeune started maintaining libxslt; however, he relicensed the
program under the GPL, and stripped off Sean's copyright information
(violating Sean's license); this is according to Sean, anyways.  At some
point in 2004/2005, someone named Trans Onoma imported them into the
xml-tools [1] repository, but he hasn't worked on them since 2004 or so.
I have no idea whether or not he intends to actively maintain them.

Sid still contains Sean's last releases, from 2002/2003.  I don't know
whether Gregoire's latest version even contains any of Sean's original
code; I no longer have a use for either of these packages, so I haven't
bothered to figure it out.  Whoever takes over these packages should
probably talk to the upstream (or ask on one of the ruby lists) to find
out which will actively be maintained.  Both licenses are problematic
for libraries as well, so maybe simply rewriting them from scratch under
the LGPL or 3-clause BSD would be the best way to go here.

Given the licensing pains and upstream squabbling, as well as the fact
that I don't use them anymore, I'm no longer willing to maintain them.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-- 
Andres Salomon <dilinger@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335699; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Filipe Lautert <filipelautert@celepar.pr.gov.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 335699@bugs.debian.org (full text, mbox):

From: Filipe Lautert <filipelautert@celepar.pr.gov.br>
To: control@bugs.debian.org, 335699@bugs.debian.org
Subject: ITA: libxslt-ruby
Date: Wed, 1 Nov 2006 01:40:54 -0300
I needed this package and found it a litle aged. So I did some work on the 
latest release (version 0.9.2) and now I have a working package.

I'll look for a sponsor soon and then send this package to review.

--
Filipe Lautert



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#335699; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Filipe Lautert <filipelautert@celepar.pr.gov.br>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 335699@bugs.debian.org (full text, mbox):

From: Filipe Lautert <filipelautert@celepar.pr.gov.br>
To: control@bugs.debian.org, 335699@bugs.debian.org
Subject: ITA: libxslt-ruby
Date: Wed, 1 Nov 2006 02:07:57 -0300
owner 335699 filipelautert@celepar.pr.gov.br
retitle 335699 ITA: libxslt-ruby -- Ruby interface to libxslt
thanks

Ooops, forgot to send the command before. Sorry :/

--
Filipe Lautert



Owner recorded as filipelautert@celepar.pr.gov.br. Request was from Filipe Lautert <filipelautert@celepar.pr.gov.br> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Filipe Lautert <filipelautert@celepar.pr.gov.br> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, filipelautert@celepar.pr.gov.br:
Bug#335699; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, filipelautert@celepar.pr.gov.br. Full text and rfc822 format available.

Message #24 received at 335699@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Filipe Lautert <filipelautert@celepar.pr.gov.br>, 335699@bugs.debian.org
Subject: Re: Bug#335699: ITA: libxslt-ruby
Date: Wed, 1 Nov 2006 10:19:24 +0100
[Message part 1 (text/plain, inline)]
Hello Filipe,

On Wed, Nov 01, 2006 at 01:40:54AM -0300, Filipe Lautert wrote:
> I needed this package and found it a litle aged. So I did some work on the 
> latest release (version 0.9.2) and now I have a working package.
> 
> I'll look for a sponsor soon and then send this package to review.

A few months ago, Damog planned to adopt this package as well and even
already created directories for this package and libxml-ruby in our team
(Debian/Ruby Extras) repository[1].  Since he (temporarily) suspended
doing Debian work, you are welcome to take his place within the team.

Kind regards,

Paul

1: http://svn.debian.org/wsvn/pkg-ruby-extras

-- 
Student @ Eindhoven                         | email: paulvt@debian.org
University of Technology, The Netherlands   | JID: paul@luon.net
>>> Using the Power of Debian GNU/Linux <<< | GnuPG key ID: 0x50064181
[signature.asc (application/pgp-signature, inline)]

Owner changed from filipelautert@celepar.pr.gov.br to Filipe Lautert <filipelautert@celepar.pr.gov.br>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Filipe Lautert <filipelautert@celepar.pr.gov.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andres Salomon <dilinger@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 335699-close@bugs.debian.org (full text, mbox):

From: Filipe Lautert <filipelautert@celepar.pr.gov.br>
To: 335699-close@bugs.debian.org
Subject: Bug#335699: fixed in libxslt-ruby 0.9.2-1
Date: Sat, 18 Nov 2006 11:25:02 -0800
Source: libxslt-ruby
Source-Version: 0.9.2-1

We believe that the bug you reported is fixed in the latest version of
libxslt-ruby, which is due to be installed in the Debian FTP archive:

libxslt-ruby1.8_0.9.2-1_powerpc.deb
  to pool/main/libx/libxslt-ruby/libxslt-ruby1.8_0.9.2-1_powerpc.deb
libxslt-ruby_0.9.2-1.diff.gz
  to pool/main/libx/libxslt-ruby/libxslt-ruby_0.9.2-1.diff.gz
libxslt-ruby_0.9.2-1.dsc
  to pool/main/libx/libxslt-ruby/libxslt-ruby_0.9.2-1.dsc
libxslt-ruby_0.9.2-1_all.deb
  to pool/main/libx/libxslt-ruby/libxslt-ruby_0.9.2-1_all.deb
libxslt-ruby_0.9.2.orig.tar.gz
  to pool/main/libx/libxslt-ruby/libxslt-ruby_0.9.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 335699@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filipe Lautert <filipelautert@celepar.pr.gov.br> (supplier of updated libxslt-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  7 Nov 2006 20:32:57 -0300
Source: libxslt-ruby
Binary: libxslt-ruby1.8 libxslt-ruby
Architecture: source all powerpc
Version: 0.9.2-1
Distribution: unstable
Urgency: low
Maintainer: Filipe Lautert <filipelautert@celepar.pr.gov.br>
Changed-By: Filipe Lautert <filipelautert@celepar.pr.gov.br>
Description: 
 libxslt-ruby - Ruby interface to libxslt
 libxslt-ruby1.8 - Ruby interface to libxslt
Closes: 335699
Changes: 
 libxslt-ruby (0.9.2-1) unstable; urgency=low
 .
   * Package adopted - maintenance changed to Debian/Ruby Extras team.
     Closes: #335699.
   * Version upgrade after a long time with no upgrade. Now using
     Gregoire Lejeune version.
Files: 
 f04c5d754511b37270b4e74863a2fadd 1374 admin optional libxslt-ruby_0.9.2-1.dsc
 ea10c240c8a57c3a1bb8950955d050f3 54599 admin optional libxslt-ruby_0.9.2.orig.tar.gz
 bcf3ed9417b1ff40048536edae024888 3460 admin optional libxslt-ruby_0.9.2-1.diff.gz
 1459019154ac33968b6e500680c12af3 11146 admin optional libxslt-ruby_0.9.2-1_all.deb
 51583e142b2007a8d991c2ca1e7ef96d 16504 admin optional libxslt-ruby1.8_0.9.2-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFURlzJBBhylAGQYERAvLdAJ9Um/VypFVSmtjHtK5k1DvcGj1asQCfcxH3
AuyebW/AOcrMWED5zOMD9CM=
=j6ni
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:29:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:24:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.